#====START_GENERATED_PROLOG======================================
#
#
#   COMPONENT_NAME: odscriptableparts
#
#   CLASSES: none
#
#   ORIGINS: 82,27
#
#
#   (C) COPYRIGHT International Business Machines Corp. 1995,1996
#   All Rights Reserved
#   Licensed Materials - Property of IBM
#   US Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#   	
#   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
#   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
#   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
#   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
#   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
#   OR PERFORMANCE OF THIS SOFTWARE.
#
#====END_GENERATED_PROLOG========================================
#
# @(#) 1.13 nt/src/samples/scrbase/makefile.mak, odbasescript, od96nt, odnt9712d 0 09:19:39 [3/21/97 17:38:07]
#

# If you wish to add to the existing compile and link flags, you can
# do it with these macros

ExtraSOMCompileOptions =

ExtraCompileOptions =

ExtraLinkOptions =


# ===================================================================
# Subdirectories you want nmake to visit
Subdirs =


# ===================================================================
# Targets

# IdlTargets = List all the idls
# HdrTargets = List all the C++ headers
# LibTargets = List all export libraries to be built
# DllTargets = List all shared libraries to be built
#
# The Reg* and File*  macros are used to generate a table of contents
# and an install package

# IdlTargets = iodscrbc.idl iodbcext.idl scrbcevt.idl scrbcif.idl
IdlTargets = iodscrbc.idl iodbcext.idl scrbcevt.idl


LibTargets = $(ODSRC)/lib/iodscrbc.$(LibSuffix)

DllTargets = $(ODSRC)/dll/iodscrbc.dll

CtypelibIDL=iodscrbc.idl
CtypelibDir=$(ODSRC)/src/scrbase
CtypelibCmdLineArgsFile=iodscrbc.cin

RegMain=iodscrbc.dll
RegIDL=$(IdlTargets)
RegClassName=ScriptableBaseContainer
RegKind=ScriptableBaseContainerPartKind
FilesDlls=iodscrbc.dll
FilesIncs=$(IdlTargets) $(IdlTargets:.idl=.xh) $(HdrTargets)
FilesLibs=iodscrbc.$(LibSuffix)
FilesCats=
FilesTypeLibs=iodscrbc.tlb
FilesStationery=


# ===================================================================
# Common Inference Rules

# Platform.mak contains all the platform specific code to build the
# sample. Check it to verify which compiler the sample is using.

!include $(ODSRC)/src/Platform.mak


# ===================================================================
# Rules

#bcpartObjList = iodscrbc.$(Obj) iodbcext.$(Obj) scrbcif.$(Obj)
bcpartObjList = iodscrbc.$(Obj) iodbcext.$(Obj)


iodscrbc.$(Obj) : iodscrbc.xih

iodbcext.$(Obj) : iodbcext.xih


bcpartLibList = \
	{$(LIB)}somtk.$(LibSuffix)  \
        {$(LIB)}iodutils.$(LibSuffix) \
        {$(LIB)}odbento.$(LibSuffix)  \
        {$(LIB)}odbindng.$(LibSuffix) \
        {$(LIB)}odcm.$(LibSuffix)     \
        {$(LIB)}odcore.$(LibSuffix)   \
        {$(LIB)}oddatax.$(LibSuffix)  \
        {$(LIB)}odimagng.$(LibSuffix) \
        {$(LIB)}odlayout.$(LibSuffix) \
        {$(LIB)}odstorag.$(LibSuffix) \
        {$(LIB)}odui.$(LibSuffix)     \
        {$(LIB)}odregsty.$(LibSuffix) \
        {$(LIB)}odmsgcat.$(LibSuffix) \
        {$(LIB)}iodbasec.$(LibSuffix) \
        {$(LIB)}oddsscr.$(LibSuffix) \
        {$(LIB)}oddsevnt.$(LibSuffix)



$(ODSRC)/dll/iodscrbc.dll :  $(ODSRC)/lib/iodscrbc.$(Exp) \
        $(bcpartLibList) \
        $(bcpartObjList)
        @$(BuildDll)


$(ODSRC)/lib/iodscrbc.$(Def) :  iodscrbc.$(Def)
        @$(BuildCopy)


$(ODSRC)/lib/iodscrbc.$(LibSuffix) : \
!IFDEF CPPMAIN
        $(ODSRC)/lib/iodscrbc.$(Def) \
!ENDIF
        $(bcpartObjList)
        @$(BuildLib)

# end of file
